Bug 1259660 - remmina - freezing graphics in RDP sessions
remmina - freezing graphics in RDP sessions
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 05:57 EDT by LukasH
Modified: 2016-07-19 15:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:56:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description LukasH 2015-09-03 05:57:46 EDT
Description of problem:

remmina constantly freezes, if RDP connection to remote Win machine is running. It happens very quickly (sometimes immediately, sometimes after ~ 30-60 sec.). Graphics is "frozen", but mouse clicks and keyboard typing is still alive. Disconnect/reconnect to RDP session solved this issue, until the next freeze is coming.
 
Version-Release number of selected component (if applicable):

1.2.0-0.5.git.b3237e8.fc22.x86_64

How reproducible:

Always.


Steps to Reproduce:
1. Run remmina client
2. Select any RDP session to any remote machine.
3. Run this session and just wait for a short while.

Actual results:

Graphics of RDP sessions freezes.

Expected results:

RDP sessions should work normal, as it works in Fedora 21 (remmina-1.1.2-3.git.2b37718.fc21), or as it still works fine in Fedora 22 thru rdesktop (1.8.3-1.fc22).


Additional info:

It's probably related to or close to this report : https://github.com/FreeRDP/Remmina/issues/598 . So, re-packing of the newest version of remmina into F22 would solve this issue.
Comment 1 LukasH 2015-11-05 05:35:07 EST
Problem still persists also in Fedora 23 (remmina-1.2.0-0.8.git.b3237e8.fc23.x86_64).
Comment 2 LukasH 2016-02-11 08:32:56 EST
Problem still persists in F23 (remmina is still in version 1.2.0-0.8.git.b3237e8.fc23.x86_64). Absolutely the same problem has Remote Desktop Viewer aka vinagre (vinagre-3.18.2-1.fc23.x86_64), probably it uses the same (graphical?) components as remmina. The same problem observed on various HW / computer instances (doesn't matter if graphic driver is radeon.ko or nouveau.ko).

rdesktop (rdesktop-1.8.3-2.fc23.x86_64) works like a charm with the same RDP sessions ...
Comment 3 Fedora End Of Life 2016-07-19 15:56:14 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.